Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DSYSV

    java.lang.Object
      org.netlib.lapack.DSYSV

    public class DSYSV

extends java.lang.Object

    DSYSV is a simplified interface to the JLAPACK routine dsysv.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DSYSV computes the solution to a real system of linear equations
     *     A * X = B,
     *  where A is an N-by-N symmetric matrix and X and B are N-by-NRHS
     *  matrices.
     *
     *  The diagonal pivoting method is used to factor A as
     *     A = U * D * U**T,  if UPLO = 'U', or
     *     A = L * D * L**T,  if UPLO = 'L',
     *  where U (or L) is a product of permutation and unit upper (lower)
     *  triangular matrices, and D is symmetric and block diagonal with
     *  1-by-1 and 2-by-2 diagonal blocks.  The factored form of A is then
     *  used to solve the system of equations A * X = B.
     *
     *  Arguments
     *  =========
     *
     *  UPLO    (input) CHARACTER*1
     *          = 'U':  Upper triangle of A is stored;
     *          = 'L':  Lower triangle of A is stored.
     *
     *  N       (input) INTEGER
     *          The number of linear equations, i.e., the order of the
     *          matrix A.  N >= 0.
     *
     *  NRHS    (input) INTEGER
     *          The number of right hand sides, i.e., the number of columns
     *          of the matrix B.  NRHS >= 0.
     *
     *  A       (input/output) DOUBLE PRECISION array, dimension (LDA,N)
     *          On entry, the symmetric matrix A.  If UPLO = 'U', the leading
     *          N-by-N upper triangular part of A contains the upper
     *          triangular part of the matrix A, and the strictly lower
     *          triangular part of A is not referenced.  If UPLO = 'L', the
     *          leading N-by-N lower triangular part of A contains the lower

     *          triangular part of the matrix A, and the strictly upper
     *          triangular part of A is not referenced.
     *
     *          On exit, if INFO = 0, the block diagonal matrix D and the
     *          multipliers used to obtain the factor U or L from the
     *          factorization A = U*D*U**T or A = L*D*L**T as computed by
     *          DSYTRF.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A.  LDA >= max(1,N).
     *
     *  IPIV    (output) INTEGER array, dimension (N)
     *          Details of the interchanges and the block structure of D, as

     *          determined by DSYTRF.  If IPIV(k) > 0, then rows and columns

     *          k and IPIV(k) were interchanged, and D(k,k) is a 1-by-1
     *          diagonal block.  If UPLO = 'U' and IPIV(k) = IPIV(k-1) < 0,
     *          then rows and columns k-1 and -IPIV(k) were interchanged and

     *          D(k-1:k,k-1:k) is a 2-by-2 diagonal block.  If UPLO = 'L' and
     *          IPIV(k) = IPIV(k+1) < 0, then rows and columns k+1 and
     *          -IPIV(k) were interchanged and D(k:k+1,k:k+1) is a 2-by-2
     *          diagonal block.
     *
     *  B       (input/output) DOUBLE PRECISION array, dimension (LDB,NRHS)
     *          On entry, the N-by-NRHS right hand side matrix B.
     *          On exit, if INFO = 0, the N-by-NRHS solution matrix X.
     *
     *  LDB     (input) INTEGER
     *          The leading dimension of the array B.  LDB >= max(1,N).
     *
     *  WORK    (workspace/output) DOUBLE PRECISION array, dimension (MAX(1,L
     *          On exit, if INFO = 0, WORK(1) returns the optimal LWORK.
     *
     *  LWORK   (input) INTEGER
     *          The length of WORK.  LWORK >= 1, and for best performance
     *          LWORK >= max(1,N*NB), where NB is the optimal blocksize for
     *          DSYTRF.
     *
     *          If LWORK = -1, then a workspace query is assumed; the routine
     *          only calculates the optimal size of the WORK array, returns
     *          this value as the first entry of the WORK array, and no error
     *          message related to LWORK is issued by XERBLA.
     *
     *  INFO    (output) INTEGER
     *          = 0: successful exit
     *          < 0: if INFO = -i, the i-th argument had an illegal value
     *          > 0: if INFO = i, D(i,i) is exactly zero.  The factorization

     *               has been completed, but the block diagonal matrix D is
     *               exactly singular, so the solution could not be computed.
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Constructor Summary
`DSYSV()`

Method Summary
`static void` | `DSYSV(java.lang.String uplo, int n, int nrhs, double[][] a, int[] ipiv, double[][] b, double[] work, int lwork, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DSYSV

    public DSYSV()

Method Detail

### DSYSV

    public static void DSYSV(java.lang.String uplo,
                             int n,
                             int nrhs,
                             double[][] a,
                             int[] ipiv,
                             double[][] b,
                             double[] work,
                             int lwork,
                             intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD